Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
auth::AuthManager Interface Reference

Authentication manager interface. More...

`import <AuthManager.idl;`

## Public Member Functions
Policy | getPolicy ()
| Gets a policy.
int | setPolicy (in Policy p)
| Sets a policy.

## Public Attributes
constant int | ERR_UNSUPPORTED_TYPE = 1
| Unsupported authentication type.

## Detailed Description

Authentication manager interface.

Definition at line 25 of file AuthManager.idl.

## Member Function Documentation

## ◆ getPolicy()

Policy auth::AuthManager::getPolicy | ( |  | ) |

Gets a policy.

Returns
  a Policy object

## ◆ setPolicy()

int auth::AuthManager::setPolicy | ( | in Policy | p | ) |

Sets a policy.

Returns
  0 on success
  1 in case authentication type is not supported

## Member Data Documentation

## ◆ ERR_UNSUPPORTED_TYPE

constant int auth::AuthManager::ERR_UNSUPPORTED_TYPE = 1

Unsupported authentication type.

Definition at line 27 of file AuthManager.idl.

The documentation for this interface was generated from the following file:

- AuthManager.idl